Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362379 - Restart the machine when the job is aborted
Summary: Restart the machine when the job is aborted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nigel Babu
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 05:47 UTC by Nigel Babu
Modified: 2017-01-31 05:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 05:24:00 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nigel Babu 2016-08-02 05:47:35 UTC
When a job is aborted, it leaves a bunch of remaining gluster processes. The safest thing to do is to reboot the machine automatically when a job is aborted.

Comment 1 Nigel Babu 2016-09-26 05:48:27 UTC
Note: A good way to do this would be to use a publisher like we do for Centos CI jobs.

Comment 2 Nigel Babu 2017-01-31 05:24:00 UTC
We've got this sorted for NetBSD now. The majority of the use case has been for NetBSD, so we'll close this now.


Note You need to log in before you can comment on or make changes to this bug.